com.trendmicro.ds.platform.rest.object.mt.configuration

## Class MultiTenantConfigurationElement

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.mt.configuration.MultiTenantConfigurationElement

-     public class MultiTenantConfigurationElement
      extends java.lang.Object

  A structure containing information about the Multi-Tenant Configuration.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiTenantConfigurationElement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getActivationCode()` Activation code to be used to enable multi-tenancy; only used when enabling multi-tenancy for the first time.
    `java.lang.String` | `getConfigurationType()` The multi-tenancy configuration type; supported types are: ENTERPRISE, NONE (only as a returned value before multi-tenancy is configured)
    `java.lang.String` | `getLicenseModeType()` License mode; supported choices are: PER_TENANT, PRIMARY_TENANT_INHERITANCE, NONE (only as a returned value before multi-tenancy is configured)
    `void` | `setActivationCode(java.lang.String activationCode)`
    `void` | `setConfigurationType(java.lang.String configurationType)`
    `void` | `setLicenseModeType(java.lang.String licenseModeType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiTenantConfigurationElement

          public MultiTenantConfigurationElement()

  - ### Method Detail

    - #### getActivationCode

          public java.lang.String getActivationCode()

      Activation code to be used to enable multi-tenancy; only used when enabling multi-tenancy for the first time.
      Returns:
        activationCode

    - #### setActivationCode

          public void setActivationCode(java.lang.String activationCode)

    - #### getConfigurationType

          public java.lang.String getConfigurationType()

      The multi-tenancy configuration type; supported types are: ENTERPRISE, NONE (only as a returned value before multi-tenancy is configured)

    - #### setConfigurationType

          public void setConfigurationType(java.lang.String configurationType)

    - #### getLicenseModeType

          public java.lang.String getLicenseModeType()

      License mode; supported choices are: PER_TENANT, PRIMARY_TENANT_INHERITANCE, NONE (only as a returned value before multi-tenancy is configured)

    - #### setLicenseModeType

          public void setLicenseModeType(java.lang.String licenseModeType)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.